Subject: Re: via path question

From: John Goerzen <[email-masked]>
Date: Sat, 13 Dec 2025 16:50:30 -0600

Hi Hadmut,

You can actually do it both ways.

For the quux smarthost, I use the second feature so that leaf nodes
don't each have to know the full routes to each other.

I wouldn't really see it as a security issue, since both A and B have to
be configured to be able to route to C to use A via B,C.  A can't make B
send to a node it doesn't know about.

- John

On Sun, Dec 14 2025, Hadmut Danisch wrote:

> Hi,
>
>
> if I want do send from A to D over other nodes
>
> A -> B -> C -> D
>
>
> what is the correct and intended configuration for target D?
>
>
> on A  via [B,C]
>
>
> or
>
>
> on A via [B]  and on B via [C] ?
>
>
>
> Since via accepts an array,  setting via [B,C] on A should work, but isn't this
> a security problem, if configuration on A can tell B what to do ? Shouldn't via
> just set the next hop?
>
> regards
>
> Hadmut